package com.jkcredit.invoice.model.entity;

import javax.validation.constraints.NotNull;

/**
 * 客户充值记录
 * @author mumuxigua
 */
public class CustomerRecharge {
    private Long id;

    private String customerName;

    /**
     * 客户主体名称
     */
    private String companyName;

    private Double beforeMony;

    @NotNull(message = "充值记录不能为空")
    private Double rechargeMony;

    private String rechargeTime;
    private String rechargeStartTime;
    private String rechargeEndTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName == null ? null : customerName.trim();
    }

    public Double getBeforeMony() {
        return beforeMony;
    }

    public void setBeforeMony(Double beforeMony) {
        this.beforeMony = beforeMony;
    }

    public Double getRechargeMony() {
        return rechargeMony;
    }

    public void setRechargeMony(Double rechargeMony) {
        this.rechargeMony = rechargeMony;
    }

    public String getRechargeTime() {
        return rechargeTime;
    }

    public void setRechargeTime(String rechargeTime) {
        this.rechargeTime = rechargeTime;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getRechargeStartTime() {
        return rechargeStartTime;
    }

    public void setRechargeStartTime(String rechargeStartTime) {
        this.rechargeStartTime = rechargeStartTime;
    }

    public String getRechargeEndTime() {
        return rechargeEndTime;
    }

    public void setRechargeEndTime(String rechargeEndTime) {
        this.rechargeEndTime = rechargeEndTime;
    }

    @Override
    public String toString() {
        return "CustomerRecharge{" +
                "id=" + id +
                ", customerName='" + customerName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", beforeMony=" + beforeMony +
                ", rechargeMony=" + rechargeMony +
                ", rechargeTime='" + rechargeTime + '\'' +
                ", rechargeStartTime='" + rechargeStartTime + '\'' +
                ", rechargeEndTime='" + rechargeEndTime + '\'' +
                '}';
    }
}